import { Component, inject, OnInit } from '@angular/core';
import { filter, from, map, reduce } from 'rxjs';
import { Router, RouterOutlet } from '@angular/router';

@Component({
  selector: 'app-root',
  standalone: true,
  imports: [RouterOutlet],
  template: `<router-outlet />`,
})
export class AppComponent implements OnInit {
  router: Router = inject(Router);

  ngOnInit() {
    this.router.navigate(['hotels']);
  }
}
